Skip to content

Get 'RetroactiveApartmentRevenueProposal'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/revenue/retroactivity/retroactiveapartmentrevenueproposal/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/revenue/retroactivity/retroactiveapartmentrevenueproposal/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

unit_amountnumber, (float)read-onlyrequired
unit_pricenumber, (float)read-onlyrequired
start_datestring, (date)required

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: end_date

end_datestring, (date)required

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: start_date

adjusted_period_startstring, (date)read-onlyrequired
adjusted_period_endstring, (date)read-onlyrequired
target_contractobject(ApartmentContract)read-onlyrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
original_retroactivity_methodinteger, (int32), [ -2147483648 .. 2147483647 ]read-only

Additional Validation Information:

Enum Descriptions:

  • 1 - Mirrored

  • 2 - Mirrored Contract Blocked

  • 3 - Mirrored Contract Blocked Sensitive

  • 4 - First Opportunity

  • 5 - Last Opportunity

  • 6 - Spread Even

  • 7 - Fixed

  • 8 - Fixed Contract Blocked

  • 9 - Fixed Contract Blocked Sensitive

  • 10 - Spread On Limits

Enum:12345678910
additional_title_suffixstring or null, <= 64 characters
acceptedboolean or null
based_on_space_revenueobject or null(ApartmentRevenueRow)read-only
based_on_contract_revenueobject or null(ApartmentContractRevenueRow)read-only
is_unaccepted_with_existing_revenue_rowanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "unit_amount": 0.1, "unit_price": 0.1, "original_retroactivity_method": 1, "start_date": "2019-08-24", "end_date": "2019-08-24", "adjusted_period_start": "2019-08-24", "adjusted_period_end": "2019-08-24", "additional_title_suffix": "string", "accepted": true, "based_on_space_revenue": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "based_on_contract_revenue": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "target_contract": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "is_unaccepted_with_existing_revenue_row": null }